<?php
 
 
 

namespace PhpWA\Protocol\Proto\CallLogRecord;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ParticipantInfo extends \Google\Protobuf\Internal\Message
{
    


    protected $userJid = null;
    


    protected $callResult = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getUserJid()
    {
        return isset($this->userJid) ? $this->userJid : '';
    }

    public function hasUserJid()
    {
        return isset($this->userJid);
    }

    public function clearUserJid()
    {
        unset($this->userJid);
    }

    




    public function setUserJid($var)
    {
        GPBUtil::checkString($var, True);
        $this->userJid = $var;

        return $this;
    }

    



    public function getCallResult()
    {
        return isset($this->callResult) ? $this->callResult : 0;
    }

    public function hasCallResult()
    {
        return isset($this->callResult);
    }

    public function clearCallResult()
    {
        unset($this->callResult);
    }

    




    public function setCallResult($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\CallLogRecord\CallResult::class);
        $this->callResult = $var;

        return $this;
    }

}

